> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get All Templates

> Get all templates for this user



## OpenAPI

````yaml get /v1/templates
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/templates:
    get:
      tags:
        - templates
      summary: ' Get All Templates'
      description: Get all templates for this user
      operationId: _get_all_templates_v1_templates_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TemplateResponse'
                type: array
                title: Response  Get All Templates V1 Templates Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    TemplateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        markup:
          type: string
          title: Markup
        created_when:
          type: string
          format: date-time
          title: Created When
        modified_when:
          type: string
          format: date-time
          title: Modified When
      type: object
      required:
        - id
        - name
        - markup
        - created_when
        - modified_when
      title: TemplateResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````